こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

上位バージョンへのインポートに関して

上位バージョンへのインポートに関して

Oracle8 R8.0.5 から Oracle10g r 10.20.0.1.0 へ exp/imp したいと考えています。

そもそもOracle は、上バージョンへのインポートは可能かと思われますが、これだけバージョン
が異なるものへのインポートは可能なのでしょうか???

コマンドは単純に、

 Oracle 8 側は、

  exp user/pass full=y file=c:\パス

 Oracle 10g 側は、

imp user/pass@orcl full=y file=c:\パス

としました。

実際にやってみたところ、うまくいかず。。。。

何か方法があれば教えて下さい。

よろしくお願いします。

投稿日時 - 2010-05-11 14:42:13

QNo.5887541

すぐに回答ほしいです

質問者が選んだベストアンサー

うまくいかないということですが、何かエラーメッセージでも出るのでしょうか?

たとえ上位バージョンであってもエディションが低いと下位バージョンの機能が使えない場合があり、下位バージョンで使っていた機能に関わる部分でインポートがエラーになることはあります。

※exportしてできたダンプファイルに対してバイナリエディタでパッチしてからimportした経験が実際にあります。

投稿日時 - 2010-05-28 17:15:35

このQ&Aは役に立ちましたか?

15人が「このQ&Aが役に立った」と投票しています

回答(1)

あなたにオススメの質問